Skip to main content
GET
/
payout_accounts
/
{id}
JavaScript
import Whop from '@whop/sdk';

const client = new Whop({
  apiKey: process.env['WHOP_API_KEY'], // This is the default and can be omitted
});

const payoutAccount = await client.payoutAccounts.retrieve('poact_xxxxxxxxxxxx');

console.log(payoutAccount.id);
{
  "id": "poact_xxxxxxxxxxxx",
  "status": "connected",
  "business_name": "<string>",
  "phone": "<string>",
  "email": "<string>",
  "business_representative": {
    "date_of_birth": "<string>",
    "first_name": "<string>",
    "middle_name": "<string>",
    "last_name": "<string>"
  },
  "address": {
    "line1": "<string>",
    "line2": "<string>",
    "city": "<string>",
    "postal_code": "<string>",
    "state": "<string>",
    "country": "<string>"
  },
  "latest_verification": {
    "id": "verf_xxxxxxxxxxxxx",
    "status": "requires_input",
    "last_error_code": "abandoned",
    "last_error_reason": "Document image was too blurry to read."
  }
}

Authorizations

Authorization
string
header
required

A company API key, company scoped JWT, app API key, or user OAuth token. You must prepend your key/token with the word 'Bearer', which will look like Bearer ***************************

Path Parameters

id
string
required

The unique identifier of the payout account to retrieve.

Example:

"poact_xxxxxxxxxxxx"

Response

A successful response

An object representing an account used for payouts.

id
string
required

The unique identifier for the payout account.

Example:

"poact_xxxxxxxxxxxx"

status
enum<string> | null
required

The granular calculated status of the payout account reflecting its current KYC and withdrawal readiness state.

Available options:
connected,
disabled,
action_required,
pending_verification,
verification_failed,
not_started
business_name
string | null
required

The company's legal name

phone
string | null
required

The business representative's phone

email
string | null
required

The email address of the representative

business_representative
object
required

The business representative for this payout account

address
object
required

The physical address associated with this payout account

latest_verification
object
required

The latest verification for the connected account.